Bug 205758 - editors/openoffice-4: (apache-openoffice-4.1.2) In the menu xfce4 doesn't show icons aoo
Summary: editors/openoffice-4: (apache-openoffice-4.1.2) In the menu xfce4 doesn't sho...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Don Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-31 15:54 UTC by Vladimir Omelchuk
Modified: 2016-01-29 19:33 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
example_xfce_menu (69.79 KB, image/jpeg)
2016-01-01 07:04 UTC, Vladimir Omelchuk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Omelchuk 2015-12-31 15:54:38 UTC
In the menu xfce-4.12_1 doesn't show icons apache-openoffice-4.1.2.

root@vladiom:~ # pkg info | grep apache-openoffice
apache-openoffice-4.1.2        Integrated wordprocessor/dbase ...

In the desktop files, for example calc.desktop, set icon "openoffice-4.1.2-calc", but that icon don't exists:
root@vladiom:/usr/local/share/applications/openoffice-4.1.2 # grep Icon calc.desktop
#Icon=openoffice-4.1.2-calc
Icon=openoffice4-calc

For example:
root@vladiom:/usr/local/share/icons/hicolor/48x48/apps # ls | grep openoffice4-calc
openoffice4-calc.png

root@vladiom:~ # uname -srm
FreeBSD 10.2-RELEASE-p8 amd64
Comment 1 Vladimir Omelchuk 2016-01-01 07:04:49 UTC
Created attachment 164924 [details]
example_xfce_menu
Comment 2 Don Lewis freebsd_committer 2016-01-02 20:28:57 UTC
Take this.
Comment 3 Don Lewis freebsd_committer 2016-01-02 20:29:42 UTC
Take this.
Comment 4 commit-hook freebsd_committer 2016-01-02 20:59:31 UTC
A commit references this bug:

Author: truckman
Date: Sat Jan  2 20:58:43 UTC 2016
New revision: 405096
URL: https://svnweb.freebsd.org/changeset/ports/405096

Log:
  Correct the Icon entry in the .desktop files so that the icons are
  visible in the menu.

  PR:		205758

Changes:
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
Comment 5 commit-hook freebsd_committer 2016-01-29 19:33:06 UTC
A commit references this bug:

Author: truckman
Date: Fri Jan 29 19:32:13 UTC 2016
New revision: 407493
URL: https://svnweb.freebsd.org/changeset/ports/407493

Log:
  MFH: r405096 (direct commit to openoffice-4 only)
  MFH: r406872 (direct commit to openoffice-4 only)
  MFH: r407439

  r405096:
   Correct the Icon entry in the .desktop files so that the icons are
   visible in the menu.

  r406872:
   PORTREVISION bump to allow a clean merge of the next

  r470439: [1]
   Fix nss-related problems with password-protected documents.

   Apply patches from upstream commits r1724971 and r1726068 to fix
   upstream bug <https://bz.apache.org/ooo/show_bug.cgi?id=125431>,
   "The Password is incorrect. The file cannot be opened."

  PR:		205758
  PR:		206234
  Submitted by:	Arrigo Marchiori <ardovm AT yahoo.it> [1]
  Approved by:	ports-secteam (miwi - r407439)
  Approved by:	ports-secteam (feld - r405096, r406872)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/editors/openoffice-4/Makefile
  branches/2016Q1/editors/openoffice-4/files/patch-nss